View Issue Details

IDProjectCategoryView StatusLast Update
0000701OpenMPT[All Projects] User Interfacepublic2018-08-20 07:10
ReporterSaga MusixAssigned ToSaga Musix 
PrioritynormalSeverityfeatureReproducibilityN/A
Status assignedResolutionopen 
Product Version 
Target VersionOpenMPT 1.?? (long term goals)Fixed in Version 
Summary0000701: Move plugin settings to separate tab, add modular view
Description

Plugin settings should have their own tab. The currently available stuff will be moved to the upper part of the tab, the lower part will be a visual representation of the plugin routing graph à la Buzz.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

parent of 0000606 assignedSaga Musix Implement routing to arbitrary input channels 
parent of 0000687 new Show 8 channels in 'General' (instead of 4) 
parent of 0000900 new Plugin chains with mixer support 
has duplicate 0001139 closed Visual node editor for VST plugins 
Not all the children of this issue are yet resolved or closed.

Activities

Saga Musix

Saga Musix

2016-05-18 22:56

administrator   ~0002403

Additionally, the freed space on the general tab could be used to show the mod loader warnings, rather than putting them into modal messageboxes.

Issue History

Date Modified Username Field Change
2015-08-16 23:38 Saga Musix New Issue
2015-08-16 23:38 Saga Musix Status new => assigned
2015-08-16 23:38 Saga Musix Assigned To => Saga Musix
2015-08-16 23:38 Saga Musix Relationship added parent of 0000606
2015-08-16 23:38 Saga Musix Relationship added parent of 0000687
2016-05-18 22:56 Saga Musix Note Added: 0002403
2016-12-11 16:52 Saga Musix Relationship added parent of 0000900
2018-08-20 07:10 Saga Musix Relationship added has duplicate 0001139